Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.persistence.imp
Class VolatileStateRecoveryManager

    java.lang.Object
      com.atomikos.persistence.imp.VolatileStateRecoveryManager

All Implemented Interfaces:
  FSMPreEnterListener, StateRecoveryManager, EventListener

    public class VolatileStateRecoveryManager

extends Object
implements StateRecoveryManager, FSMPreEnterListener

A volatile recovery manager (one that doesn't support persistent logging and hence doesn't allow recovery after a crash or restart).

Constructor Summary
`VolatileStateRecoveryManager()` Construct a new instance.

Method Summary
`void` | `close()` Shutdown.
`void` | `delete(Object id)` Deletes a given image from the underlying logs.
`void` | `init()` Initialize the recovery mgr before calling the other methods.
`void` | `preEnter(FSMEnterEvent event)` Called BEFORE the FSM enters the new state, so that the callee is sure that nobody has seen the new state yet.
`Vector` | `recover()` Recover all recorded recoverable instances in their latest state.
`StateRecoverable` | `recover(Object id)` Reconstruct an instance of a staterecoverable.
`void` | `register(StateRecoverable staterecoverable)` Register a staterecoverable with the recovery manager service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VolatileStateRecoveryManager

    public VolatileStateRecoveryManager()

  Construct a new instance.

Method Detail

### init

    public void init()
              throws LogException

  Description copied from interface: `StateRecoveryManager`
  Initialize the recovery mgr before calling the other methods.

  Specified by:
    `init` in interface `StateRecoveryManager`
  Throws:
    `LogException` - If the underlying log fails.
  See Also:
    `StateRecoveryManager`

### register

    public void register(StateRecoverable staterecoverable)

  Description copied from interface: `StateRecoveryManager`
  Register a staterecoverable with the recovery manager service.

  Specified by:
    `register` in interface `StateRecoveryManager`
  Parameters:
    `staterecoverable` - The object that wants recoverable states.
  See Also:
    `StateRecoveryManager`

### preEnter

    public void preEnter(FSMEnterEvent event)
                  throws IllegalStateException

  Description copied from interface: `FSMPreEnterListener`
  Called BEFORE the FSM enters the new state, so that the callee is sure that nobody has seen the new state yet.

  Specified by:
    `preEnter` in interface `FSMPreEnterListener`
  Throws:
    `IllegalStateException` - on failure. The callee can use this to prevent the state change from happening.
  See Also:
    `FSMPreEnterListener`

### close

    public void close()
               throws LogException

  Description copied from interface: `StateRecoveryManager`
  Shutdown.

  Specified by:
    `close` in interface `StateRecoveryManager`
  Throws:
    `LogException` - For underlying log failure.
  See Also:
    `StateRecoveryManager`

### recover

    public StateRecoverable recover(Object id)
                             throws LogException

  Description copied from interface: `StateRecoveryManager`
  Reconstruct an instance of a staterecoverable.

  Specified by:
    `recover` in interface `StateRecoveryManager`
  Returns:
    StateRecoverable The instance, or null if not found.
  Throws:
    `LogException` - If underlying object log fails.
  See Also:
    `StateRecoveryManager`

### recover

    public Vector recover()
                   throws LogException

  Description copied from interface: `StateRecoveryManager`
  Recover all recorded recoverable instances in their latest state.

  Specified by:
    `recover` in interface `StateRecoveryManager`
  Returns:
    Vector A vector of reconstructed StateRecoverables.
  Throws:
    `LogException` - If the log fails.
  See Also:
    `StateRecoveryManager`

### delete

    public void delete(Object id)
                throws LogException

  Description copied from interface: `StateRecoveryManager`
  Deletes a given image from the underlying logs.

  Specified by:
    `delete` in interface `StateRecoveryManager`
  Parameters:
    `id` - The id of the image to delete.
  Throws:
    `LogException` - On failure.
  See Also:
    `StateRecoveryManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.